@REM ==================================================================
@REM SILENT DEPLOY BATCH SCRIPT
@REM ==================================================================
@REM REQUIRES
@REM	This batch file
@REM	NorthStar.DatabaseUpdater.exe
@REM 	NorthStarLive-WebServices-x.x.x.x.exe
@REM ==================================================================


DEL postscript.sql

@ECHO Generating deploy,emt script
@ECHO -- Make sure that the local ASP.NET USER HAS ACCESS > postscript.sql
@ECHO EXEC sp_grantlogin '%1\ASPNET' >> postscript.sql
@ECHO USE NorthStarLive >> postscript.sql
@ECHO EXEC sp_grantdbaccess '%1\ASPNET' >> postscript.sql
@ECHO EXEC sp_addrolemember 'db_owner', '%1\ASPNET' >> postscript.sql
@ECHO  >> postscript.sql
@ECHO GO >> postscript.sql
@ECHO update tblinfodayparts set starttime='1/1/2010 06:00',endtime='1/1/2010 17:00' where daypartnumber=1 >> postscript.sql
@ECHO update tblinfodayparts set starttime='1/1/2010 17:00',endtime='1/1/2010 06:00' where daypartnumber=2 >> postscript.sql
@ECHO UPDATE tblXMLImportTasks SET PurgeTimeOfDay = ISNULL(PurgeTimeOfDay, '1/1/2010 03:59')
@ECHO UPDATE tblSQLImportTasks SET PurgeTimeOfDay = ISNULL(PurgeTimeOfDay, '1/1/2010 03:59')
@ECHO UPDATE tblWebServiceImportTasks SET PurgeTimeOfDay = ISNULL(PurgeTimeOfDay, '1/1/2010 03:59')
@ECHO GO >> postscript.sql


REM ==================================================================
REM Launch the Database Updater
REM ==================================================================

NorthStar.DatabaseUpdater.exe /sqlinstance .\QSR01 /updatetype Live /unattended /postscript postscript.sql

@REM ==========================================
@REM INSTALL PACKAGE QUIET MODE WITH
@REM 	FINAL DIALOG BOX CONFIRMATION and
@REM	DATA SOURCE PARAMETER
@REM ==========================================
@ECHO Installing Scoreboard Silent Mode
msiexec /package scoreboard.webservices.installer.msi /qn+ db="Data Source=.\QSR01;Initial Catalog=NorthStarLive;TrustedConnection=true;"
